import java.io.*;


class fb extends f_x
{
   double func (double x)
 {
    return -(2.0*Math.sin(x)-x*x/10.0);
 }
}
class dfb extends f_x
{
   double func (double x)
 {
    return -(2.0*Math.cos(x)-x/5.0);
 }
}
class d2fb extends f_x
{
   double func (double x)
 {
    return -(-2.0*Math.sin(x)-1.0/5.0);
 }
}


class newton
{
    public static void main(String args[]) throws IOException
    {
    fb f=new fb();
    dfb df=new dfb();
    d2fb d2f=new d2fb();
    double x=Numeric.newton(1.0,df,d2f);
    System.out.println(x+" "+f.func(x));
    
    }
}
